Bug 106277 - [CI] spec@glsl-1.40-compat@execution@built-in-constants failing
Summary: [CI] spec@glsl-1.40-compat@execution@built-in-constants failing
Status: CLOSED FIXED
Alias: None
Product: piglit
Classification: Unclassified
Component: tests (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Piglit Mailing List
QA Contact: Piglit Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-27 09:46 UTC by Tomi Sarvela
Modified: 2018-05-03 16:36 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomi Sarvela 2018-04-27 09:46:29 UTC
After recent change in piglit, intel-gfx-ci got regression in one test:

  === Piglit changes ===

    ==== Possible regressions ====

    {spec@glsl-1.40-compat@execution@built-in-constants}:
      pig-glk-j4005:      PASS -> FAIL
      pig-skl-6600:       PASS -> FAIL
      pig-hsw-4770r:      PASS -> FAIL

== Piglit commits ==

b57600ba5 glsl-1.40-compat: add basic compat test for built-in constants
6fa083a02 shader_runner: allow compat profiles to be explicitly requested

Results are visible at

https://intel-gfx-ci.01.org/tree/drm-tip/piglit-issues.html
Comment 1 Timothy Arceri 2018-04-27 10:20:07 UTC
i965 doesn't support compat profile for GL 3.1 so I was expecting this test to be skipped. Seems more changes are needed to shader runner for this to work as expected.
Comment 2 Timothy Arceri 2018-05-01 05:16:39 UTC
It seems piglit requests a compat profile but Waffle passes back a core profile for some reason.
Comment 3 Timothy Arceri 2018-05-01 06:32:17 UTC
Fix:

https://patchwork.freedesktop.org/patch/219725/
Comment 4 Timothy Arceri 2018-05-03 02:17:00 UTC
Should be fixed by:

commit f74d92e704849610364b4474a2c67ea2008c14e0
Author: Timothy Arceri <tarceri@itsqueeze.com>
Date:   Tue May 1 15:56:30 2018 +1000

    piglit-framework-gl: skip compat test when not supported
    
    OpenGL 3.1 is a little special when it comes to compatibility. If
    a 3.1 compat profile is requested by piglit and ARB_compatibility
    not supported waffle will end up creating a core profile for us.
    
    Here we make sure ARB_compatibility is supported when explicitly
    requesting a 3.1 compat profile from piglit. This allows us to
    avoid testing for ARB_compatibility in all GL 3.1 compat tests.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=106277
Comment 5 Martin Peres 2018-05-03 16:36:50 UTC
Indeed, it did the trick! Thanks Timothy!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.